﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using Verse;
using VFECore.Abilities;
using Ability = VFECore.Abilities.Ability;
using AbilityDef = VFECore.Abilities.AbilityDef;

namespace Outland
{
    public class AbilityExtension_Weather : AbilityExtension_AbilityMod
    {
        public WeatherDef weatherDef;

        public override void Cast(LocalTargetInfo target, Ability ability)
        {
            base.Cast(target, ability);
            ability.pawn.Map.weatherManager.TransitionTo(weatherDef);
        }
    }
}
