﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using Verse;

using VFECore.Abilities;
using AbilityDef = VFECore.Abilities.AbilityDef;

namespace Outland
{
    public class CompProperties_UseEffectLearnSpell : CompProperties_UseEffectGiveAbility
    {
        public ArcaneClass requiredClass = ArcaneClass.None;

        public List<AbilityDef> incompatibleAbilities = new List<AbilityDef>();

        public CompProperties_UseEffectLearnSpell()
        {
            compClass = typeof(CompUseEffect_LearnSpell);
        }
    }
}
